%global         pypi_name patsy

%define         debug_package          %{nil}

Name:           python-patsy
Version:        1.0.1
Release:        %mkrel 2
Group:          Sciences/Mathematics
Summary:        A Python3 library for describing statistical models
License:        BSD
URL:            https://pypi.org/project/patsy/
Source0:        https://pypi.io/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildArch:      noarch


%description
Patsy is a Python library for describing statistical models
(especially linear models, or models that have a linear component) and
building design matrices. Patsy brings the convenience of R "formulas"
to Python.

%package -n python3-%{pypi_name}
Summary:        A Python3 library for describing statistical models
BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-devel


%description -n python3-%{pypi_name}
Patsy is a Python library for describing statistical models
(especially linear models, or models that have a linear component) and
building design matrices. Patsy brings the convenience of R "formulas"
to Python.

%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files patsy

%files -n python3-%{pypi_name} -f %{pyproject_files}


%changelog
* Sun Mar 02 2025 wally <wally> 1.0.1-2.mga10
+ Revision: 2157341
- rebuild for python3.13

* Mon Dec 09 2024 eatdirt <eatdirt> 1.0.1-1.mga10
+ Revision: 2123209
- Update to version 1.0.1

* Sat Feb 17 2024 papoteur <papoteur> 0.5.6-1.mga10
+ Revision: 2042218
- new version 0.5.6

* Sun Dec 04 2022 eatdirt <eatdirt> 0.5.3-1.mga10
+ Revision: 1917585
- Update to version 0.5.3

* Mon Mar 28 2022 umeabot <umeabot> 0.5.2-2.mga9
+ Revision: 1829576
- Mageia 9 Mass Rebuild

* Wed Feb 23 2022 mrambo3501 <mrambo3501> 0.5.2-1.mga9
+ Revision: 1783385
- version 0.5.2
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 0.5.1-4.mga9
+ Revision: 1733189
- Rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 0.5.1-3.mga8
+ Revision: 1535580
- Mageia 8 Mass Rebuild

* Sat Oct 12 2019 tv <tv> 0.5.1-2.mga8
+ Revision: 1452411
- rebuild for python-3.8
- drop python2 subpkg

* Wed Jan 09 2019 shlomif <shlomif> 0.5.1-1.mga7
+ Revision: 1353737
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.5.0-4.mga7
+ Revision: 1289660
- Mageia 7 Mass Rebuild

* Tue Aug 14 2018 eatdirt <eatdirt> 0.5.0-3.mga7
+ Revision: 1251619
- Fix missing BA:noach to mother package
- Fix name, add missing BR
- Fix screwing up name...
- imported package python-pastsy

